Page MenuHomePhabricator

Create a documentation page about Thanks
Closed, ResolvedPublic

Description

There is plenty of pages about the Thanks function (Extension:Thanks). Those pages are not necessary up-to-date and the existing documentation on mediawiki.org is, for the moment, a bit short.

This task is about creating a dedicated page under Help:Notifications on mediawiki.org to:

  • introduce the feature
  • explain how it works
  • detail cases where it will not work
  • add any relevant information about it.

The page have to be concise, easy to understand and easy to translate.

Event Timeline

Trizek-WMF updated the task description. (Show Details)Nov 28 2017, 1:57 PM

No.

The student hasn't used that feature and didn't took my advice into consideration. Compare the page created and https://en.wikipedia.org/wiki/Wikipedia:Notifications/Thanks for instance: there is plenty of information missing.

Meh, sorry. Followup task? :)

I'm on it! :)

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptJan 15 2018, 3:15 PM
Restricted Application added a project: Growth-Team. · View Herald TranscriptAug 14 2018, 8:10 PM
Nikitrain added a subscriber: Nikitrain.EditedMar 13 2019, 5:29 PM

If this is still needed to be done, I would like to work on this.

If this is still needed to be done, I would like to work on this.

The task is open and unassigned so please help yourself! :)

Nikitrain added a comment.EditedMar 16 2019, 6:18 AM

@Trizek-WMF I've made a page for thanks under Help:Notifications. It is currently in my sandbox. Take a look! would love some feedback! :)

Thank you Nikitrain! Good job!

Here are some points to clarify, after a quick review:

  • "Flow" is the former name of "StructuredDiscussions".
  • You can get a conformation to know if you have successfully send a "thank" to you. It is an opt-in feature.
  • You've put the pre-requests in "Limitations". I think you should have a section closer to the top of the page explaining that that feature is only accessible to logged-in users.
Nikitrain added a comment.EditedMar 19 2019, 8:04 AM

@Trizek-WMF
I have edited the page.

  • Replaced flow with structuresdiscussion and mentioned that it was formerly known as flow.
  • Mentioned that a user need to be registered to use this feature in "What the feature is" block.

I could not figure out how to get the confirmation message. I am searching, I will update the comment if I figure it out.

My bad, the confirmation is only available for other Notification options.

I don't see anything else to change but it may happen later, when my brain will have proceed everything! :p

You can start marking the page for translations.

Nikitrain added a comment.EditedMar 19 2019, 6:37 PM

Awesome! I will start marking for translations. Let me know if you want me to add anything else to the page :)
edit:
@Trizek-WMF
How can I mark the page for translation when I am not a translation administrator?
edit:
I have requested a translation administrator to mark the page for translation.

Nikitrain added a comment.EditedMar 21 2019, 7:51 AM

@Trizek-WMF Translation Administrator has told me that he can't mark a draft for translation. So I have copied my changes to https://www.mediawiki.org/wiki/Help:Notifications/Thanks and asked translation administrator to mark it for translation.

edit: The page is marked for translations by translation administrator.

Take a look! https://www.mediawiki.org/wiki/Help:Notifications/Thanks Would love some feedback :)

The page looks fine. Thank you for your help!

Can you now edit https://www.mediawiki.org/wiki/Help:Notifications/Notifications_types#Thanks to add a link to the page you've updated? Don't forget to add the Special:MyLanguage/ prefix to the link so that users will get the translated page in their language (if it exists).

Nikitrain added a comment.EditedMar 27 2019, 6:54 AM

@Trizek-WMF
I have edited the page to include the link to thanks page.
I guess the task is complete now.
should the task be marked resolved now?

edit: Since this task is now complete and you must be busy, So I'm taking the liberty of closing this task as resolved for you.

Nikitrain closed this task as Resolved.Apr 1 2019, 4:39 PM

@Nikitrainn, I've reviewed your changes and made some edits.

You've used the {{ll}} template, that is good for templates or elements we don't edit much or ask translations for. I've changed it to a simple link using <tvar> properly, so that translators will not get lost when they will have to translate the page.

Thank you for the work you've done!

Nikitrain added a comment.EditedApr 2 2019, 7:02 PM

Thanks for the info! I will keep that in mind for future tasks.